// File generated via Conduit
import { system, world } from "@minecraft/server";
import { EventRegistry } from "conduit/events";

function setupEvents()
{
    EventRegistry.addListener("trybrary_internal:run_later", (source, args)=>{
        let t_command;
        let t_delay;
        t_command = args["command"];
        t_delay = args["delay"];
        system.runTimeout((self, command)=>{
            self ??= source;
            command ??= t_command;
            if (self.isValid()) {
                self.runCommand(command);
            }
        }, t_delay);
    });
}
system.run(setupEvents);

